<script setup lang="ts">
const { t } = useI18n();
</script>

<template>
  <v-main class="flex flex-col">
    <slot />
    <v-footer :flat="true" color="background" class="flex flex-col md:flex-row justify-end !grow-0">
      <span class="text-sm">
        &copy; {{ t("rights", { year: new Date().getFullYear() }) }}
      </span>
    </v-footer>
  </v-main>
</template>

<i18n locale="en">
{
  "rights": "{year} Halvor Pro. All rights reserved."
}
</i18n>
<i18n locale="es">
{
  "rights": "{year} Halvor Pro. Todos los derechos reservados."
}
</i18n>
